// for Apple Pi
// (C)Copyright 2015 All rights reserved by Y.Onodera
// http://einstlab.web.fc2.com
// using wiringPi library
// $ gcc -o foo var.c -l wiringPi
// $ sudo ./foo

#include <stdio.h>
#include <wiringPi.h>

// SW4 = GPIO25 = P1_22
//#define PIN RPI_V2_GPIO_P1_22
#define PIN 6


void isr()
{
	// nothing to do
}


int main(int argc, char **arg)
{

	wiringPiSetup();	

	pinMode(PIN, INPUT);
	pullUpDnControl(PIN, PUD_UP);

	wiringPiISR(PIN,INT_EDGE_FALLING,(void*)isr);
	waitForInterrupt(PIN,-1);

}


